Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	a GTK based web browser with small footprint
Name:		dillo
Version:	2.1.1
Release:	1
Group:		Internet/Browser
License:	GPL
URL:		http://www.dillo.org
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-fltk2.patch
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot

#Automatically resolved build dependencies
BuildRequires: cairo-devel
BuildRequires: fltk2-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: perl
BuildRequires: zlib-devel

%description
Dillo is a web browser project completely written in C. 
Dillo is small: source is less than 420 KB, and the binary is around  350 KB!  
Dillo aims to be a multi-platform browser alternative that's small, stable, developer-friendly, usable, fast, and extensible. 
Dillo is mainly based on GTK+ (GNOME is NOT required!)
Dillo is a free-SW project in the terms of the GNU general public license. 
Dillo's bug meter is a tool to help towards standards compliance. 
Current code uses an improved html-parser (formerly based on gzilla's), and almost everything else was rewritten from scratch!.
Dillo is very fast!

%prep
%setup -n %{name}-%{version}
#%patch0 -p1

%build
autoconf
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--libdir=%_sysconfdir \
		--sysconfdir=%_sysconfdir 
#		--disable-dlgui

make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/dillo
%_bindir/dpid
%_bindir/dpidc
%_sysconfdir/dillo/
%_mandir/man1/dillo.1.gz

%changelog
* Sun Aug 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.1.1-1
- Version update
* Thu Mar 27 2008 Christian Wasem <wasem@ccux-linux.de> 0.8.6-2
- changed package group to Internet/Browser
* Mon Mar 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.8.6-1
- Initial Release
